Bug 1419561 - gnome-shell, gdm, wayland, all monitors disconnected: JS ERROR: TypeError: this.primaryMonitor is undefined
Summary: gnome-shell, gdm, wayland, all monitors disconnected: JS ERROR: TypeError: th...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-shell
Version: 25
Hardware: Unspecified
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Owen Taylor
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-06 13:57 UTC by Edgar Hoch
Modified: 2017-12-12 10:28 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 10:28:53 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
GNOME Bugzilla 730551 0 Normal RESOLVED NULL pointer deference when number of output modes is NULL 2021-01-14 20:06:58 UTC

Description Edgar Hoch 2017-02-06 13:57:45 UTC
Description of problem:

It seems to me that gnome-shell crashes with a JS ERROR when it tries to start Xwayland by gdm and any monitors are disconnected.

This happens to my new Fedora 25 installation. Previously, with Fedora 24, this didn't happen.

After booting the desktop system (for example, FUJITSU ESPRIMO P920 with Intel(R) Core(TM) i7-4770 CPU @ 3.40GHz, containing Xeon E3-1200 v3/4th Gen Core Processor Integrated Graphics Controller, driver=i915), I found that Xorg is running by gdm, instead of Xwayland.

journalctl tells me:

Feb 06 10:48:01 mydesktop.example.com gnome-session[1979]: gnome-session-binary[1979]: WARNING: Error getting login monitor: -13
Feb 06 10:48:01 mydesktop.example.com gnome-session-binary[1979]: WARNING: Error getting login monitor: -13


Feb 06 10:48:20 mydesktop.example.com gnome-shell[1986]: JS ERROR: TypeError: this.primaryMonitor is undefined
                                                                  LayoutManager<._updateBoxes@resource:///org/gnome/shell/ui/layout.js:461
                                                                  wrapper@resource:///org/gnome/gjs/modules/lang.js:178
                                                                  LayoutManager<._monitorsChanged@resource:///org/gnome/shell/ui/layout.js:495
                                                                  wrapper@resource:///org/gnome/gjs/modules/lang.js:178
                                                                  LayoutManager<._init@resource:///org/gnome/shell/ui/layout.js:277
                                                                  wrapper@resource:///org/gnome/gjs/modules/lang.js:178
                                                                  _Base.prototype._construct@resource:///org/gnome/gjs/modules/lang.js:110
                                                                  Class.prototype._construct/newClass@resource:///org/gnome/gjs/modules/lang.js:213
                                                                  _initializeUI@resource:///org/gnome/shell/ui/main.js:151
                                                                  start@resource:///org/gnome/shell/ui/main.js:125
                                                                  @<main>:1
Feb 06 10:48:20 mydesktop.example.com gnome-shell[1986]: Execution of main.js threw exception: JS_EvaluateScript() failed
Feb 06 10:48:20 mydesktop.example.com org.gnome.Shell.desktop[1986]: (EE)
Feb 06 10:48:20 mydesktop.example.com org.gnome.Shell.desktop[1986]: Fatal server error:
Feb 06 10:48:20 mydesktop.example.com org.gnome.Shell.desktop[1986]: (EE) failed to read Wayland events: Connection reset by peer
Feb 06 10:48:20 mydesktop.example.com org.gnome.Shell.desktop[1986]: (EE)


Output of "cat /sys/kernel/debug/dri/0/i915_display_info | grep connected":

connector 36: type VGA-1, status: disconnected
connector 39: type HDMI-A-1, status: disconnected
connector 44: type DP-1, status: disconnected
connector 48: type HDMI-A-2, status: disconnected


This happens only if no connector is in status connected (e.g. display is off). Then Xwayland didn't start by gdm, and Xorg is used by gdm. Otherwise Xwayland is running by gdm.


Version-Release number of selected component (if applicable):

gnome-shell-3.22.2-2.fc25.x86_64
gnome-session-3.22.2-3.fc25.x86_64
gnome-session-xsession-3.22.2-3.fc25.x86_64
gnome-session-wayland-session-3.22.2-3.fc25.x86_64


How reproducible:
I tested serveral desktop pcs, it seems reproducable.


Steps to Reproduce:
1. (Re)Boot a desktop with display off.
2. (Re)Boot a desktop with display on.


Actual results:
1: Xorg is running by gdm.
2: Xwayland is running by gdm.

Expected results:
1: Xwayland is running by gdm.
2: Xwayland is running by gdm.

Comment 1 Edgar Hoch 2017-02-22 09:48:54 UTC
It may be that GNOME bug 730551 is related?

https://bugzilla.gnome.org/show_bug.cgi?id=730551

Comment 2 Florian Müllner 2017-02-23 12:33:23 UTC
(In reply to Edgar Hoch from comment #1)
> It may be that GNOME bug 730551 is related?

Yes. Mutter currently doesn't support running headless, no matter whether running as X11 compositor or wayland display server.

Comment 3 Fedora End Of Life 2017-11-16 18:56:46 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 4 Fedora End Of Life 2017-12-12 10:28:53 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.